<?php
$default_settings = [
    'title' => '',
    'number' => '',
    'ct_animate' => '',
    'ct_animate_delay' => '',
];
$settings = array_merge($default_settings, $settings);
extract($settings); 
$is_new = \Elementor\Icons_Manager::is_migration_allowed();
$html_id = ct_get_element_id($settings);
?>
<div id="<?php echo esc_attr($html_id); ?>" class="ct-title-number ct-title-number1">
    <div class="ct-title-number-inner">
        <div class="item--title-meta">
            <h4 class="item--title case-animate-time <?php if($ct_animate != 'case-fade-in-up') { echo esc_attr($ct_animate); } ?>" data-wow-delay="<?php echo esc_attr($ct_animate_delay); ?>ms">
                <?php if($ct_animate == 'case-fade-in-up') {
                    $arr_str = explode(' ', $title);
                    foreach ($arr_str as $index => $value) {
                        $arr_str[$index] = '<span class="slide-in-container"><span class="d-inline-block wow '.$ct_animate.'">' . $value . '</span></span>';
                    }
                    $str = implode(' ', $arr_str);
                    echo wp_kses_post($str);
                } else {
                    echo '<span>';
                    echo wp_kses_post($title);
                    echo '</span>';
                } ?>
            </h4>
        </div>
        <?php if(!empty($number)) : ?>
            <div class="item--number"><?php echo esc_attr($number); ?></div>
        <?php endif; ?>
    </div>
</div>

